%% parameters to be used in the image processing and calculation of tangents

% initialize the main structure
D = struct;

% binarization cutoff (how the areas must be bright to become white)
D(1).binarizationLimit = 0.3;

% smoothing radius - parameter for contour smoothing
D(1).smoothingRadius = 10;

% what change of tangent (in pixels) indicates the presence of fiber emerging from water level
D(1).derivativeLimit = 10;

% length of interval on which a derivative is found in order to find a tangent
D(1).dx = 20;

% offset from fiber (in pixels) to avoid including the fiber surface in the derivative (tangent) calculation
% in case of a sessile drop the value represents the drop offset
D(1).xOffset = 5;

% size of a step (in pixels) when moving manually with the tangents
D(1).motionStep = 10;

% size of a step (in degrees) when manually rotating the tangents
D(1).rotationStep = 3;

